View Issue Details

IDProjectCategoryView StatusLast Update
0007869Talerwallet-corepublic2023-12-23 16:52
ReporterMarcS Assigned Tosebasjm  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version0.9.4 
Target Version0.9.4Fixed in Version0.9.4 
Summary0007869: If the very first transaction of a new wallet is P2P, then the ToS of the exchange needs to be accepted first
DescriptionUsually the very first transaction of a new wallet is a withdrawal, and the user always needs to accept the ToS first before actually being able to confirm the withdrawal.
However, the very first transaction could also be P2P. Currently it is not specified that the user should accept the ToS first, but of course this is necessary.
TagsNo tags attached.

Activities

MarcS

2023-12-06 22:53

developer   ~0020733

wallet-core now returns in the PreparePeerPushCreditResponse the exchangeBaseUrl, which can be used in the new call getExchangeEntryByUrl().
The result is an ExchangeListItem, which contains an ExchangeTosStatus.
The iOS Taler Wallet 0.9.3-31 enforces to accept the ToS before the user can obtain the incoming P2P gift.

sebasjm

2023-12-22 17:28

developer   ~0020794

p2p now check ToS

Issue History

Date Modified Username Field Change
2023-06-20 19:16 MarcS New Issue
2023-06-20 19:16 MarcS Status new => assigned
2023-06-20 19:16 MarcS Assigned To => Florian Dold
2023-08-24 16:32 Florian Dold Assigned To Florian Dold =>
2023-08-24 16:32 Florian Dold Status assigned => acknowledged
2023-12-06 22:53 MarcS Note Added: 0020733
2023-12-06 22:54 MarcS Assigned To => sebasjm
2023-12-06 22:54 MarcS Status acknowledged => assigned
2023-12-06 22:55 MarcS Product Version post-1.0 => 0.9.4
2023-12-06 22:55 MarcS Target Version post-1.0 => 0.9.4
2023-12-15 15:16 Florian Dold Target Version 0.9.4 => 0.9.5
2023-12-22 17:28 sebasjm Status assigned => resolved
2023-12-22 17:28 sebasjm Resolution open => fixed
2023-12-22 17:28 sebasjm Note Added: 0020794
2023-12-23 16:52 Christian Grothoff Fixed in Version => 0.9.4
2023-12-23 16:52 Christian Grothoff Target Version 0.9.5 => 0.9.4